

import {Component} from '@angular/core';
import {IonicPage, NavController, NavParams} from 'ionic-angular';
import {AuthService} from "../../providers/auth-service";
import {Common} from "../../providers/common";
import { PosPenjualan } from '../pos-penjualan/pos-penjualan';

/**
 * Generated class for the PromoPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */

@IonicPage()
@Component({
    selector: 'page-promo',
    templateUrl: 'promo.html',
})
export class PromoPage {
    public userDetails: any;
    public resposeData: any;
    public dataSet: any;
    public noRecords: boolean;
    userCart = {
        username : "",
        cart_id : "",
        nama_pelanggan: "",
        id_promo: "",
        promo:""
    };

    constructor(public navCtrl: NavController,
        public navParams: NavParams,
        public authService: AuthService,
        public common: Common, ) {
        this.userCart.cart_id = navParams.get('cart_id');
        this.userCart.username = navParams.get('username');
        this.getPromo();
    }

    ionViewDidLoad() {}

    getPromo() {
        this.authService.postData(this.userCart, "promo").then(
            result => {
                this.resposeData = result;
                if (this.resposeData.promoData) {
                    this.dataSet = this.resposeData.promoData;
                    const dataLength = this.resposeData.promoData.length;
                    if (dataLength == 0) {
                        this.noRecords = true;
                    }
                } else {
                    this.noRecords = true;
                }
            },
            err => {
                this.noRecords = true;
            }
        );
    }

    ambilData($item) {
        this.userCart.id_promo = $item.kode_promo;
        this.userCart.promo = $item.promo;
        this.authService.postData(this.userCart, "updatePromo").then(
            result => {
                this.resposeData = result;
                if (this.resposeData.cartData) {
                        this.navCtrl.setRoot(PosPenjualan);
                }
            },
            err => {
                
            }
        );
    }

}
